\section{Attendee Impressions}
\label{attendees}

% \figgraph{b!}{0.6}{images/photos/q1040424_1000}{Attendees in hotel lobby}{moray}

% There is a fuller list of relevant blog entries at 
% https://wiki.debconf.org/wiki/DebConf13/FinalReport/Links


% permission received 2013-10-21
\blogpost{http://blog.tincho.org/posts/DebConf_13/}{Martín Ferrari}{


On Sunday I arrived to DebConf13. It has been so much fun that I didn't have the time to post anything about it!

As usual, I really enjoy meeting old friends and putting faces to nicknames. Last night the Cheese and Wine party was once again great.

Not everything has been partying, though. I've been discussing with Enrico ideas for recognising Debian Contributors, as he presented on his talk on Sunday. We still have to discuss further, and obviously, sit down and write a lot of code :-).

Yesterday we also met with Luk, and discussed what to do with the ancient net-tools package. We had had the idea of writing compatibility wrappers using iproute2, but that turned out to be too complicated and brittle. After looking a the current state of net-tools, and its reverse dependencies, we decided that the best way to go is to deprecate it by asking rdepends to migrate to iproute2 (for most of them it should be trivial), and then downgrade net-tools to optional. It won't be removed from the archive, as people will still want it, but it will not be required by any core functionality any more.

In the next few days, we will be sending an email to debian-devel, and filing about 80 bugs to get rid of the dependency on net-tools, many with patches.
}



% permission received 2013-10-21
\blogpost{http://richardhartmann.de/blog/posts/2013/08/12-DebConf13-I/}{Richard Hartmann}{

The venue here at Le Camp is pretty much perfect. Short walking distances, organic layout of the buildings, and a stunning view of the lake. I would be hard pressed to think of other venues which could be as nice...

After arriving Fri/Sat night at 0330, Saturday was spent setting up the access points. A little green valve caused a power outage in the server room, messing with servers, and resetting several switches to old configs. XTaran had a lot of fun as a result of this.

The ikiwiki BoF on Sunday was rather interesting. I will try to publish some notes from this BoF and the other Git-related ones towards the end of the week.

The \emph{Gitify ALL the things} BoF managed to fill the room from ``full-ish'' over ``good thing we don't need the beamer and can use the space in front of the whitescreen'' over ``out of chairs'' over ``the chairs from other rooms won't fit any more'' to the final state of ``people stand around near the walls and in the doors''. At a total of 54 people, turnout has been... unexpectedly high..

The BoF started at 1130 and usually, slots are 45 minutes long. We extended our BoF into lunch time (I chose the slot just prior to lunch for precisely that reason) and finally finished at around 1245, i.e. 30 minutes late. After a quick show of hands on if there's interest in another BoF, I applied for and got the next slot, tomorrow at 11:30, once again in BoF room 1 and just before lunch. It's called \emph{Gitify EVEN MORE of the things} and will expand on use cases and best practices. At a guess, we will focus on managing configurations and photos in default and complex situations.

Afterwards, I had a chance to sit down with Lucas Nussbaum to talk over some points regarding the Debian Trademark Team.

Finally, during \emph{Why Debian should (or should not) make systemd the default} (it probably should not, but that's a different story), my kernel panicked. 3.9 and 3.10 have been less than ideal on my new X1 Carbon, but this was the first panic. I was not even done cussing and Ben Hutchings suddenly appeared on my side, telling me that yes, this particular module (mei) has been causing issues recently.

As a closing note, I am really enjoying my first DebConf. Great venue, great people, great content, wine, beer and cheese party tonight, and I found out that we have a fire place and fire wood...
}



% permission received 2013-10-21
\blogpost{http://www.perrier.eu.org/weblog/2013/08/31\#dc13-hacking}{Christian Perrier}{
I did some hacking at DebConf, as usual. For once, I had no TODO list: after all, I never complete these, so why make one?

Still, I participated to discussions around samba packaging (mostly animated by Ivo De Decker) and I think we're making good progress towards samba 4.x packages. The road is long, quite complicated, but we now have a stronger team, with a very active Ivo, Jeroen Dekkers who officially joined, and Steve Langasek who still cherishes one of his pet packages (and even branched in our git with the Ubuntu packages). Great work and thanks to Ivo for pushing this forward.

I also worked quite actively on the migration of fonts packages to git (I now reached the point where I'm more comfortable with git than svn, yes, everything can happen). These packages were modernized at the same time and checked for new upstream versions (I have to say that few of these fonts had new upstream versions, indeed). We unfortunately found no time to have a good font BoF in Vaumarcus, indeed... but I'm not sure we would have many things to say. The work is done and done well, in this team.

Some progress was made, also, for restoring a working ``monolithic'' build of D-I. This build gathers together all udebs from unstable, which means it offers a D-I image that uses ALL udebs from unstable... which is not the default of other images. This would be very helpful for translators who want to check their work as soon as possible. In the future, with a Jenkins task that would build each package at each commit and then build a monolithic image, we could have a way to provide a test snapshot of D-I git repos... which could help catching more bugs (or more of my stupid mistakes).

So, in general, I consider this a quite successful DebConf when it comes at ``real'' production. 
}



% permission received 2013-10-21
\blogpost{http://info.comodo.priv.at/blog/debcamp_2013.html}{Gregor Herrmann}{

Today DebConf, this year's edition of the annual Debian developer conference, started with two inspiring talks about Debian proper, one by Lucas Nussbaum, the other by Joey Hess.

This also means that yesterday DebCamp ended, the period preceding DebConf and dedicated to working on Debian together with others. Here's a short report from my point of view.

I arrived here on Tuesday, the first day of DebCamp. I immediately fell in love with the venue, \& despite the early stage of setup, everything I needed was working fine for me from the very start.

Like in previous years, I used the time to do work in the Debian Perl Group, especially taking advantage of the presence of other team members. That's the great thing about DebCamp \& DebConf: collaborating in real-life \& real-time, from quickly asking a question over sitting together to think about solutions for a problem to ``just'' chatting \& thereby developing ideas for the future.

In the previous days I
\begin{itemize}
\item    tried to get down the amount of packages with not-yet uploaded new upstream releases;
\item    looked into the pending bugs around the Perl 5.18 transition;
\item     investigated with others the details of the upcoming new timezone file handling in the Perl world, which will make our lives easier but still needs some work on the Debian side;
\item    prepared with others the Perl Group's BoF that will take place during DebConf on Thursday;
\item    helped with the creation of a new pkg-perl-tools package.
\end{itemize}

I really enjoy my time here, \& I'm especially happy to meet some people for the first time in meat space. This is only possible due to the generous support of the DebConf sponsors \& the immense efforts of the DebConf team. Thank you! 
}



% permission received 2013-10-21
\blogpost{http://joeyh.name/blog/entry/best_DebConf_ever/}{Joey Hess}{
For me, DebConf13 in Switzerland was a perfect DebConf, and generally a great developer meeting and conference. I've attended several past DebConfs in Canada, Norway, Brazil, Finland, Mexico, Scotland, Spain, NYC, Bosnia, and Nicaragua. I have special memories of each. DebConf13 was ideal in every way.

Let's start with the camping. Only a minority of us did it, and my campsite was located in a small field behind a bar that was often noisy late into the night, when I was trying to rest and preserve my European jet lag remedy of inverted sleeping schedule. Still, I love sleeping cocooned in a tent, and going through the routines of camping and spending time alone there was a good counterpoint to DebConf. I generally find myself retreating for a day or two in the middle of a week-long conference, burnt out with social interactions. That didn't happen this time. I need to find way to camp at future DebConfs.

(Also special shout out to wonderful people who lent me a warmer sleeping bag, and bought me a pillow while on a trip to town! Upgraded my first backpacking in Europe experience's comfort level a lot!)

The next perfect thing for me were the talks I gave at DebConf. I always enjoy presenting at DebConf, and barely remember when I'd get nervous doing it. But I really felt comfortable giving these talks in a way I've not before. I'm pleased with how the \emph{Debian Cosmology} talk turned out; I'd worried it would be a downer talk, or too light, or not well received, and none of those problems surfaced.

I was especially happy with my \emph{dh\_busfactor} session, which I prepared for all of 10 minutes and was structured entirely to benefit me by talking over my thoughts and getting feedback, and in which I probably drove the camera people crazy running my own mic into the audience. Despite all that, I think it succeeded being interesting for the participants as well as for me. Hope to follow up on it soon.

But beyond the two talks I submitted, there were a series of ad-hoc scheduled talks. It seemed that every day I spent at least an hour discussing something I'm deeply involved in. This started with the \emph{Ikiwiki} BoF, and then there was an epic series of (unrecorded) BoFs about git stuff, which basically turned into an unofficial git track at DebConf. Much, much discussion of git-annex and other things I'm involved in.


BTW, I really like that DebConf, as well as being a formal conference on top, is really an un-conference underneath, with new BoFs and things popping up on the schedule all week long. You can even have completely unscheduled meetings that somehow get just the right mix of people to make something awesome happen.

But it wasn't all about talks. Indeed, I only attended 2 or 3 sessions a day. The DebConf13 venue was controversial, but I found it excellent for getting things done. Rather than one or two massive rooms that get too noisy to think in, this venue had many little nooks and crannies suited for different types of work. There were so many I only discovered some while walking down the hill as I was leaving the venue! Anchoring it all was the excellent view, and I particularly enjoyed the ``scenic hacklab''.

I was particularly impressed with the flexibility of the venue's management. Someone asked if we could have cheese for breakfast, and every breakfast thereafter had not one but often three excellent cheeses. One day we'd be complaining that there were not enough vegetables in the food, and the next we'd be eating an excellent vegetarian Swiss lunch. They even apparently relaxed stringent Swiss rules on not allowing tents in sightlines visible from people further up the hill. They were clearly happy to welcome our crazy gathering to Le Camp. They let a DD borrow and use a chain saw and build a bonfire!

The venue also encouraged getting out and exploring the surrounding countryside. Too often I end up spending the whole DebConf without seeing much of the area around. This time I at least got down the hill to see the castle in Vaumarcus a few times, and enjoyed many evening walks among the grape fields. The conference dinner (on a boat!) tied into this well too. And the day trip to CERN was a great addition. We got to poke around the control center for a massive particle accelerator! My only regret is we didn't get a chance to actually go inside the LHC tunnels.

\figgraph{h}{0.55}{images/photos/bubulle-61163.jpg}{Joey Hess (outside of the photo to the right), several members of the Debian Technical Committee and other DebConf13 participants during a git BoF}{bubulle}

\vspace{-2ex}

Back to DebConf, another thing I really liked about this one was that its location allowed several upstream authors of software in Debian (other than the usual suspects who are both upstreams and Debian Developers) to attend. I don't know if Lennart Poettering changed any minds about systemd with his talk, but I was happy for the opportunity to buy him a beer. I didn't get to Monty's talk, but it was excellent to see him attend as well.

Finally, I got to meet old friends I'd not seen in years, and new ones I've not met in real life before. We're still not sure where this whole DebConf thing is going -- will it be all about the cheese and wine party and greybeards in 20 years time? But one thing we know is we enjoy our little slice of the year where kilts and coding are equally unremarkable, where problems that seem intractable online somehow solve themselves in person, where we come away with ideas for an entire year and memories for a lifetime.
}

% also have permission (2013-10-22) for http://www.lucas-nussbaum.net/blog/?p=794 -- but he has promised a DPL introduction article, so leaving that out for now
